Get an assistant (config + all revisions)
Compose the full assistant view: agent config + all revisions + active flow.
GET
/
v1
/
assistants
/
{agent_id}
Get an assistant (config + all revisions)
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/assistants/{agent_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/assistants/{agent_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/assistants/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"active_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"system_context_variables": [
{
"name": "<string>",
"type": "string",
"enum_values": [
"<string>"
],
"description": "<string>"
}
],
"description": "<string>",
"persona": "<string>",
"system_prompt": "<string>",
"context_variables": [
{
"name": "<string>",
"type": "string",
"source": "derived",
"enum_values": [
"<string>"
],
"reask_cap": 123,
"description": "<string>"
}
],
"variable_defaults": {},
"tool_refs": [
{}
],
"knowledge_base_refs": [
{}
],
"platform_tools": {},
"policies_enabled": true,
"policy_refs": [
{}
],
"channel_specific_config": {},
"router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"analyzer_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"workflow_enabled": false,
"memory_enabled": true,
"current_time": {
"enabled": true,
"timezone": "<string>"
},
"kb_clearance_level": 123,
"kb_audience_tags": [
"<string>"
],
"continue_after_flow": true,
"voice_call_settings": {},
"created_by": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"platform_tools": {},
"knowledge_gap_analysis_enabled": true,
"release_suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"release_gate_mode": "off",
"release_gate_max_failures": 0,
"max_active_calls": 123
},
"revisions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"system_context_variables": [
{
"name": "<string>",
"type": "string",
"enum_values": [
"<string>"
],
"description": "<string>"
}
],
"description": "<string>",
"persona": "<string>",
"system_prompt": "<string>",
"context_variables": [
{
"name": "<string>",
"type": "string",
"source": "derived",
"enum_values": [
"<string>"
],
"reask_cap": 123,
"description": "<string>"
}
],
"variable_defaults": {},
"tool_refs": [
{}
],
"knowledge_base_refs": [
{}
],
"platform_tools": {},
"policies_enabled": true,
"policy_refs": [
{}
],
"channel_specific_config": {},
"router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"analyzer_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"workflow_enabled": false,
"memory_enabled": true,
"current_time": {
"enabled": true,
"timezone": "<string>"
},
"kb_clearance_level": 123,
"kb_audience_tags": [
"<string>"
],
"continue_after_flow": true,
"voice_call_settings": {},
"created_by": "<string>",
"published_at": "2023-11-07T05:31:56Z"
}
],
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_flow_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Was this page helpful?
⌘I
Get an assistant (config + all revisions)
